#pragma config(Sensor, S1,     touchSensor,    sensorEV3_Touch)
#pragma config(Sensor, S2,     gyroSensor,     sensorEV3_Gyro)
#pragma config(Sensor, S3,     colorSensor,    sensorEV3_Color, modeEV3Color_Color)
#pragma config(Sensor, S4,     sonarSensor,    sensorEV3_Ultrasonic)
#pragma config(Motor,  motorB,          rightMotor,    tmotorEV3_Large, PIDControl, driveRight, encoder)
#pragma config(Motor,  motorC,          leftMotor,     tmotorEV3_Large, PIDControl, driveLeft, encoder)
//*!!Code automatically generated by 'ROBOTC' configuration wizard               !!*//

/*
Create a program where the robot drives forward stopping at the red brick and
moving off when the Color Sensor sees the green brick. This happens continuously.
*/

task main()
{
	//Repeat Forever.
	while(true)
	{
		//Set motor speed to 20%. (Drive Forwards).
		setMotorSpeed(motorB, 20);
		setMotorSpeed(motorC, 20);

		//Loop while the sensor does not see red.
		while(getColorName(colorSensor) != colorRed)
		{
			//Keep driving while the sensor does not see red.
			sleep(10);
		}

		//Set the motor speed to 0% (Stop).
		setMotorSpeed(motorB, 0);
		setMotorSpeed(motorC, 0);

		//After we've seen red, we need to wait until we see green.
		while(getColorName(colorSensor) != colorGreen)
		{
			sleep(10);
			//Do nothing while the sensor does not see green.
			//When the robot sees green loop back to start of program.
		}
	}
} //End of program - turn off all motors automatically.
